<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:id="@+id/swipeRefreshLayout"
    android:background="@color/colorBlue1"
    tools:context=".Activityes.Orient.DispatchActivity">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


    <RelativeLayout
        android:id="@+id/dispatchMainHeader_layout"
        android:layout_width="match_parent"
        android:background="@drawable/custom_rectangle2"
        android:layout_height="80dp">

        <ImageView
            android:id="@+id/dispatchArrowBack_img"
            android:src="@drawable/ic_baseline_arrow_back_ios_24"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="5dp"
            android:layout_width="40dp"
            android:layout_height="40dp"/>

        <TextView
            android:layout_marginTop="5dp"
            android:id="@+id/boxPacking_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:textColor="@color/white"
            android:textSize="24sp"
            android:textStyle="bold"
            android:textAlignment="center"
            android:text="Dispatch"/>


    </RelativeLayout>

    <androidx.cardview.widget.CardView
        android:id="@+id/dispatchCardView"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="16dp"
        android:elevation="12dp"
        app:cardCornerRadius="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
            android:gravity="center"
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/dispatch_userName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="10dp"
                    android:text="Admin"
                    android:textAllCaps="true"
                    android:textColor="@color/black"
                    android:textSize="25sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"/>

                <LinearLayout
                    android:layout_below="@+id/dispatch_userName"
                    android:orientation="horizontal"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <EditText
                        android:id="@+id/searchView"
                        android:layout_width="270dp"
                        android:background="@drawable/background_edit"
                        android:layout_height="50dp"
                        android:textColor="@color/black"
                        android:text=""
                        android:textStyle="bold"
                        android:textSize="20sp"
                        android:padding="10dp"
                        android:hint="Select Date"/>

                    <ImageView
                        android:id="@+id/calender_img"
                        android:layout_gravity="center"
                        android:src="@drawable/date_range"
                        android:layout_width="50dp"
                        android:layout_height="wrap_content"/>

                </LinearLayout>

            </RelativeLayout>


        </LinearLayout>

    </androidx.cardview.widget.CardView>



    <LinearLayout
        android:layout_above="@+id/newLoading_btn"
        android:id="@+id/list_item_laoyut"
        android:layout_below="@+id/dispatchCardView"
        android:visibility="visible"
        android:layout_marginBottom="10dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">


        <androidx.cardview.widget.CardView
            android:layout_marginTop="10dp"
            android:orientation="vertical"
            android:layout_marginRight="10dp"
            android:layout_marginLeft="10dp"
            app:cardBackgroundColor="@color/colorBlue"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">



            <LinearLayout
                android:layout_marginBottom="20dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">



                <TextView
                    android:layout_marginTop="10dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Old Loading"
                    android:textSize="20sp"
                    android:textStyle="bold"
                    android:textColor="@color/white"
                    android:layout_marginLeft="10dp"/>




                    <androidx.recyclerview.widget.RecyclerView
                        android:layout_marginTop="5dp"
                        android:id="@+id/oldItem_recyclerview"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"/>


            </LinearLayout>

        </androidx.cardview.widget.CardView>


    </LinearLayout>

    <Button
        android:id="@+id/newLoading_btn"
        android:layout_width="350dp"
        android:layout_height="55dp"
        android:layout_alignParentBottom="true"
        android:layout_centerInParent="true"
        android:layout_marginBottom="5dp"
        android:background="@drawable/background_btn"
        android:text="New Loading"
        android:textColor="@color/white"
        android:textSize="16sp"
        android:textStyle="bold" />

    </RelativeLayout>


</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>